#!/usr/bin/env rexx
/***************************************************
 * Installer for the Rexx Address Book             *
 ***************************************************/

Say "Setting up directories..."
Address system "mkdir -p ~/.local/bin && mkdir -p ~/.config/rexx-address-book && mkdir -p ~/.local/share/rexx-address-book"

Say "Setting up default config file..."
Address system "cp ./default-config.json ~/.config/rexx-address-book/config.json"

Say "Copying application scripts..."
Address system "cp app/*.cls ~/.local/bin && cp app/utils.rex ~/.local/bin"
Address system "cp ./addrbook.rex ~/.local/bin/addrbook && chmod +x ~/.local/bin/addrbook"

Say "Installation complete."

EXIT
